octonet - Segnalazione #151

Aggiungere test minimali
01/18/2017 04:35 PM - Mark Caglienzi

Status: In elaborazione Start date: 01/18/2017
Priority: Normale Due date:

Assignee: Mark Caglienzi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Almeno un test per view che verifichi che la view risponda e che non ci siano errori tipo HTTP 500 (per evitare problemi di template,
o di context con dati mancanti, eccetera)

Associated revisions

Revision 13c0e70e - 01/30/2017 12:24 PM - Mark Caglienzi
Add minimal test for host:host_edit. refs: #151

Revision e980d439 - 01/30/2017 12:52 PM - Mark Caglienzi

Add test for group_detail and refactor the class. refs: #151

Revision d8afde0f - 01/30/2017 02:51 PM - Mark Caglienzi
Add tests for group_create. refs: #151

Revision 36d12b49 - 01/30/2017 03:21 PM - Mark Caglienzi

Add tests for actions_ajax for group and host. refs: #151

Revision f0fd1738 - 01/30/2017 04:14 PM - Mark Caglienzi

Add tests for action_ajax. refs: #151

Revision 40a29138 - 01/30/2017 04:21 PM - Mark Caglienzi

Add tests for action_ajax for cluster. refs: #151

Revision 3e1e8e03 - 01/31/2017 11:23 AM - Mark Caglienzi

Add tests for action_completion_ajax. refs: #151

Revision e737bc7f - 01/31/2017 11:25 AM - Mark Caglienzi

Remove prints. refs: #151

Revision cefe83e2 - 02/09/2017 10:14 AM - Mark Caglienzi
Add asterisk testsuite. refs: #151

Revision 30cc8652 - 02/09/2017 10:14 AM - Mark Caglienzi
Fix test. refs: #151

Revision 416c418d - 02/09/2017 10:14 AM - Mark Caglienzi

Add launch_testsuite oneliner. refs: #151

Revision 3677efc5 - 02/09/2017 11:36 AM - Mark Caglienzi
Add auth minimal tests. refs: #151
Revision 8bfac524 - 02/09/2017 04:10 PM - Mark Caglienzi

Add firewall minimal tests. refs: #151

Revision 7c7bf6ec - 02/09/2017 04:19 PM - Mark Caglienzi
Cleanup. refs: #151

Revision 7d41cf21 - 02/13/2017 04:01 PM - Mark Caglienzi

If there are no configured hosts, calling sort() will raise an exception. Bug caught during test writing. refs: #151

Revision 3222b745 - 02/14/2017 05:12 PM - Mark Caglienzi
Add printer tests. refs: #151

Revision 6aa49937 - 02/14/2017 05:12 PM - Mark Caglienzi
Add two FIXME in the code. refs: #151

Revision ca6a9df5 - 06/30/2017 10:07 AM - Mark Caglienzi

Add support for commandline options. refs: #151

Revision 73722400 - 06/30/2017 11:27 AM - Mark Caglienzi

Fix asterisk testsuite after commit:b0f11897 found thanks to git bisect. refs: #151

Revision b3554351 - 06/30/2017 11:31 AM - Mark Caglienzi

Add a test to asterisk testsuite. refs: #151

Revision 9d0872a6 - 06/30/2017 11:57 AM - Mark Caglienzi

Fix auth testsuite. refs: #151

Revision 4b0dbcc3 - 06/30/2017 12:00 PM - Mark Caglienzi
Check all possibilities. refs: #151

Revision a10f8da2 - 06/30/2017 12:01 PM - Mark Caglienzi

Fix auth testsuite. refs: #151

Revision 65ff3bdb - 06/30/2017 12:02 PM - Mark Caglienzi

Add another test in auth testsuite. refs: #151

Revision fcec6c40 - 06/30/2017 12:03 PM - Mark Caglienzi

Fix dansguardian testsuite. refs: #151

Revision a4546¢52 - 06/30/2017 12:14 PM - Mark Caglienzi

Add another test for dansguardian. refs: #151

Revision 882db462 - 06/30/2017 12:17 PM - Mark Caglienzi
Fix dhcp testsuite and add another test. refs: #151

Revision 9¢c9ccb55 - 06/30/2017 12:20 PM - Mark Caglienzi

Fix firewall testsuite and add a test. refs: #151

Revision ddefb3ee - 06/30/2017 12:22 PM - Mark Caglienzi

Fix a half errors in host testsuite. refs: #151
Revision 49414c7e - 06/30/2017 02:35 PM - Mark Caglienzi
Fix a test. refs: #151

Revision 9fdb1109 - 06/30/2017 02:36 PM - Mark Caglienzi
Skip this test. refs: #151

Revision 737033ac - 06/30/2017 02:40 PM - Mark Caglienzi

Fix host testsuite. refs: #151

Revision 19d0f450 - 06/30/2017 02:49 PM - Mark Caglienzi

Fix hostqueue testsuite and add a test. refs: #151

Revision 6502596 - 06/30/2017 03:05 PM - Mark Caglienzi
Fix test. refs: #151

Revision 74a5e99f - 06/30/2017 03:13 PM - Mark Caglienzi

Fix printers testsuite and skip a test that has to be completed. refs: #151

Revision 68b92b29 - 06/30/2017 03:15 PM - Mark Caglienzi
This is the test to skip. refs: #151

Revision cf41f0d7 - 06/30/2017 04:12 PM - Mark Caglienzi

Fix upgrade testsuite. refs: #151

Revision 3e275d78 - 06/30/2017 05:04 PM - Mark Caglienzi

Initial quota tests. Not working. refs: #151

Revision bfa66f72 - 07/03/2017 11:40 AM - Mark Caglienzi

Fix quota tests. refs: #151

Revision 4cc7b5b6 - 07/03/2017 11:41 AM - Mark Caglienzi
Merge branch 'master’ into t151. refs: #151

Revision 5319959 - 07/03/2017 01:17 PM - Mark Caglienzi
Add a couple of test for quota. refs: #151

Revision 670b1abc - 07/03/2017 04:55 PM - Mark Caglienzi
Add tests for samba app. refs: #151

Revision 46e25eb6 - 07/03/2017 04:56 PM - Mark Caglienzi
Typo. refs: #151

Revision fb550e3e - 07/03/2017 04:59 PM - Mark Caglienzi

Initial tests for the users app. refs: #151

Revision 4f4dbd9b - 07/04/2017 10:20 AM - Mark Caglienzi

Add some more tests for users. refs: #151

Revision 1f21a10a - 07/04/2017 02:49 PM - Mark Caglienzi

Rename. refs: #151
Revision d75e5749 - 07/04/2017 03:48 PM - Mark Caglienzi
FINALLY get a working test for user_detail. refs: #151

Revision 21cbb188 - 07/04/2017 03:49 PM - Mark Caglienzi
Add another test. refs: #151

Revision 2e9aca74 - 07/04/2017 05:05 PM - Mark Caglienzi
Add another test, not working at the moment...the test gives 200 and not 302 like the webapp itself... refs: #151

Revision 0401f443 - 07/05/2017 09:50 AM - Mark Caglienzi

Better comment. refs: #151

Revision b415b646 - 07/05/2017 03:59 PM - Mark Caglienzi

This does not work in a clean way. refs: #151

Revision 10e3014c - 07/06/2017 10:17 AM - Mark Caglienzi
Add a test. refs: #151

Revision 539a3821 - 07/06/2017 11:36 AM - Mark Caglienzi
Added 2 tests. refs: #151

Revision ac2cdc18 - 07/06/2017 11:49 AM - Mark Caglienzi
Add 2 tests for UserSetEnabled. refs: #151

Revision 22475933 - 07/06/2017 11:49 AM - Mark Caglienzi
Accept only POST. refs: #151

Revision e1f999d8 - 07/06/2017 11:54 AM - Mark Caglienzi
Add 2 tests for UserAddGroup. refs: #151

Revision be402f23 - 07/06/2017 11:55 AM - Mark Caglienzi
Accept only POST. refs: #151

Revision efc9d693 - 07/06/2017 11:59 AM - Mark Caglienzi
Add 2 tests for UserDelete. refs: #151

Revision 0318897 - 07/06/2017 12:01 PM - Mark Caglienzi
Add test for GroupList. refs: #151

Revision a921¢526 - 07/06/2017 12:10 PM - Mark Caglienzi
Add three tests for GroupCreate. refs: #151

Revision 8933b01a - 07/06/2017 03:07 PM - Mark Caglienzi
Add 2 skipped tests for GroupDetail (not working because of MockTree). refs: #151

Revision 7ce6d44c - 07/06/2017 04:31 PM - Mark Caglienzi
Add other two tests, but skipped also. refs: #151

Revision b221943f - 07/06/2017 04:33 PM - Mark Caglienzi
Add 2 tests for csvimport. refs: #151
Revision e9374d08 - 07/06/2017 04:35 PM - Mark Caglienzi

Add 2 tests for csvimport_ajax. refs: #151

Revision 817deef9 - 07/06/2017 04:56 PM - Mark Caglienzi

Add 2 tests for masscreate. refs: #151

Revision e083bbbe - 07/06/2017 04:58 PM - Mark Caglienzi

Add two tests for massedit. refs: #151

Revision 68add24f - 07/06/2017 05:00 PM - Mark Caglienzi
Add two tests for processldif. refs: #151

Revision 15882bae - 07/07/2017 11:16 AM - Mark Caglienzi

Add comment in users/tests.py. refs: #151

Revision e8037d5b - 07/07/2017 05:28 PM - Mark Caglienzi

Add script/tests.py, with some working tests and some commented experiments that do not work. refs: #151

Revision bbcc7eb5 - 07/07/2017 05:31 PM - Mark Caglienzi

If no runs... refs: #151

Revision 0ecfd222 - 07/07/2017 06:02 PM - Mark Caglienzi

Add other tests, one erroring and one not...And self.tree is not easy to make... refs: #151

Revision fed93248 - 07/13/2017 03:13 PM - Mark Caglienzi
Add minimal tests for the new dhcp views. refs #244 #151

History

#1 - 01/30/2017 09:02 AM - Mark Caglienzi

- Status changed from Nuovo to In elaborazione

#2 - 07/03/2017 05:04 PM - Mark Caglienzi
fb550e3e:

® 126 test (2 skipped)
Testsuite attualmente work in progress: app users.

Codice pushato nel branch

#3 - 07/06/2017 05:03 PM - Mark Caglienzi

Stato a ca18e56a:
® 161 test
® 6 skipped
e | test skippati sono quelli che non son riuscito a far funzionare (rispetto a MockTree)
¢ Mancano dei test per delle view di users (quelle di group principalmente), e dell'app script.

Test mergiati in master, per mantenere le cose piuttosto in sync
https://work.fuss.bz.it/projects/octonet/repository/23/revisions/fb550e3ec25b61d93ad32bdc803db62dfb137138
https://work.fuss.bz.it/projects/octonet/repository/23/revisions/ca18e56a2c21eb5cc130a6dabc8ec757032fbb41
